/* ARexx example for EdPlayer, by Ed Mackey */

/*
   This is in case you can't use the kd_freq.library.  I have gotten
   one report that kd_freq does NOT work under 2.0!  This shouldn't be
   true!  Kd_freq was DESIGNED for 2.0!!  Can anyone else with 2.0
   please tell me if it runs on your machine or not??

   If not, use this script, by typing "rx EdP" from CLI while this
   script ("EdP.rexx") is in your REXX: directory and ARexx is running.
   Also you can provide a path: "rx EdP <pathname>" such as:

   Example:  rx EdP dh0:music/modules

   If there are more problems with kd_freq, I will make a more permemnant
   solution than this.  But only if I REALLY have to.

   You cannot multiple-select with the ARP file requester.
   FOR USE WITH EdPlayer PROGRAMS:  See end of script...
*/

/**************************************************************************/

arg pathn  /* This gets the path from the cli args */

/* You need the rexxarplib.library in LIBS: if you want to use the ARP
   library from ARexx.  You ALSO need the screenshare.library in LIBS: if
   you want to use the rexxarplib.library.  The following tells ARexx it's
   going to need these libraries: */
check = addlib('rexxarplib.library',0,-30,0)

address 'EDPLAYER'   /* Hmm, what does this do? */

/* The following makes a default MOD directory for when none is
   explicitly provided.  You can change this to your favorite dir */

if pathn = '' then pathn = 'ST-00:modules'

/* The following makes the ARP file requester appear! */

filenam = getfile(150,0,pathn,,'Select NT or MED module:')
/* If you get an "unknown function" error on the above line, check that
   your LIBS: directory has rexxarplib.library, screenshare.library, and
   arp.library. */

/* What if user presses CANCEL?  Do this: */

if filenam = "" then
  do
    say 'No filename entered!'
  end
else    /* OTHERWISE, you have a path & filename, so PLAY it! */
  do
    say 'Now playing: '||filenam      /* Tell user what's up */
    'PLAY '||filenam                  /* Tell EdPlayer too, why not */
  end              /* For this script to work with EdPlayer PROGRAMS,
                      change the PLAY to JUKE in the above line.
                      PLAY and JUKE are EdPlayer commands.  For a
                      complete list of these commands, see EdPlayer.DOC */

/* I think that about does it. */

exit
